Bug 437624 - Add super-H(sh3,4) architecture support.
Add super-H(sh3,4) architecture support.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: nspr (Show other bugs)
9
sh4 Linux
low Severity low
: ---
: ---
Assigned To: Kai Engert (:kaie) (on vacation)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-15 07:39 EDT by CHIKAMA Masaki
Modified: 2009-06-18 03:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 03:05:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nspr-4.6.1-sh-linux.patch (2.75 KB, patch)
2008-03-15 07:39 EDT, CHIKAMA Masaki
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 427136 None None None Never

  None (edit)
Description CHIKAMA Masaki 2008-03-15 07:39:37 EDT
Description of problem:

 This patch adds support super-H(sh3,sh4) architecture.
This is forward ported patch for version nspr-4.7.0.99.1-2
getting from http://www.sh-linux.org/ .

The original patch is for against nspr-4.6.1, but it can
also apply to nspr-4.7.0.99.1-2 and compile.

Could you contact upstream and merge it ?
Comment 1 CHIKAMA Masaki 2008-03-15 07:39:37 EDT
Created attachment 298146 [details]
nspr-4.6.1-sh-linux.patch
Comment 2 Kai Engert (:kaie) (on vacation) 2008-04-01 14:51:33 EDT
Hello Masaki, thanks a lot for the patch.
All I can do is simply copy and paste your report and patch to a new bug at
bugzilla.mozilla.org component nspr.

I wonder if you prefer to do that yourself, so that you can track the upstream
progress?
Comment 3 CHIKAMA Masaki 2008-04-02 06:30:05 EDT
Hello Kai.

I can do it but I have other packages for super-H architcture
which need new patches. I don't want to create new account for every
upstream bugzilla if I cound. Furthermore, I'm not an author of this patch.
All I can do is to comment it from my limited C-language knowledge.

So I'm very glad even if you simply copy and paste it to upstream's bugzilla.
Comment 4 Kai Engert (:kaie) (on vacation) 2008-04-04 18:13:28 EDT
Mozilla bug filed, see the reference section.
Comment 5 Bug Zapper 2008-05-14 02:05:27 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-06-09 19:46:49 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.